local mod = ...

--[[

    Add dung as a fuel type

]]


-- Resource Type  -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "FUEL_RESOURCE_TYPE_DUNG" )



-- Add Fuel as a resource type on existing resources -------------------------------------------------------------------------------------
mod:overrideAsset({
	Id = "RESOURCE_DUNG",
    ResourceTypeList = { "FUEL_RESOURCE_TYPE", "FUEL_RESOURCE_TYPE_DUNG" }
    -- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 0 }
})



-- Building Function List: Fuel cart (OVERRIDE) -------------------------------------------------------------------------------------
mod:overrideAsset({
    Id = "FUELCART_FUNCTION_LIST",
    AssetFunctionList = {
        Action = "APPEND",
        "FUELCART_FUNCTION_DUNG"
    }
})



-- Building Function: Fuel cart: Dung -------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "BUILDING_FUNCTION_MARKET",
    Id = "FUELCART_FUNCTION_DUNG",
    Name = "FUELCART_FUNCTION_DUNG_NAME",
    WorkerCapacity = 1,
    RelatedJob = { 
        Job = "FUELSELLER_JOB",
--        Behavior = "MARKET_TENDING_BEHAVIOR" -- If this is set, she will not produce wood from wood, but will only try to sell it, and can only collect from a warehouse
        Behavior = "BEHAVIOR_WORK" -- required for worker to produce wood from wood
    },
    TypeList = {"FUEL_RESOURCE_TYPE_DUNG"},
    InputInventoryCapacity = {{ Resource = "RESOURCE_DUNG", Quantity = 50 }}, -- these enable pseudo-production and collection of resources from non-warehouse locations
    ResourceListNeeded = {{ Resource = "RESOURCE_DUNG", Quantity = 10 }}, -- these enable pseudo-production and collection of resources from non-warehouse locations
    ResourceProduced = {{ Resource = "RESOURCE_DUNG", Quantity = 5 }}, -- these enable pseudo-production and collection of resources from non-warehouse locations

    IsOverrideCapacity = true, -- these enable selling
    CapacityPerSlot = 50 -- these enable selling
})


